RUNCON(1)

NOM
runcon - Exécuter une commande avec le contexte de sécurité indiqué

SYNOPSIS
runcon CONTEXTE COMMANDE [PARAM]
runcon [ -c ] [-u UTILISATEUR] [-r ROLE] [-t TYPE ] [-l PLAGE] COMMANDE [ROLE]

DESCRIPTION
Exécuter la COMMANDE avec le CONTEXTE indiqué, ou avec le contexte de sécurité actuel ou transitionnel modifié par un ou plusieurs des arguments NIVEAU, RÔLE, TYPE et UTILISATEUR.

Si aucune des options -c, -t, -u, -r ou -l n'est indiquée, le premier paramètre est utilisé comme contexte complet. Tout paramètre additionnel après COMMANDE est interprété comme paramètre de la commande.

Seuls les contextes de sécurité choisis avec discernement sont susceptibles d'être exécutés avec succès.

Exécuter un programme dans un contexte de sécurité SELinux différent. Sans CONTEXTE ni COMMANDE, afficher le contexte de sécurité en cours.

Les paramètres obligatoires pour les options de forme longue le sont aussi pour les options de forme courte.

CONTEXT
    Contexte de sécurité complet

-c, --compute
    calculer le contexte de transition du processus avant de le modifier

-t, --type=TYPE
    type (pour un rôle identique à celui du parent)

-u, --user=UTILISATEUR
    identité de l'utilisateur

-r, --role=ROLE
    rôle

-l, --range=PLAGE
    niveau

--help
    afficher l'aide-mémoire et quitter

--version
    afficher les informations de version et quitter

  Code de retour :

125 i la commande runcon elle-même échoue

126 si COMMANDE est trouvée, mais ne peut pas être invoquée

127 si COMMANDE ne peut pas être trouvée

-   le code de retour de la COMMANDE sinon

AUTEUR
Écrit par Russell Coker.

SIGNALER DES BOGUES
Signaler toute erreur à bug-coreutils@gnu.org
Page d'accueil de GNU coreutils : <https://www.gnu.org/software/coreutils/>
Aide générale sur l'utilisation des logiciels GNU : <https://www.gnu.org/gethelp/>
Signaler toute erreur de traduction à <https://translationproject.org/team/fr.html>

VOIR AUSSI
Documentation complète : <https://www.gnu.org/software/coreutils/runcon>
aussi disponible localement à l’aide de la commande : info '(coreutils) runcon invocation'

Empaqueté par Debian (9.10-1)
Copyright © 2026 Free Software Foundation, Inc.
Licence GPLv3+ : GNU GPL version 3 ou supérieure <https://gnu.org/licenses/gpl.html>.
Ce programme est un logiciel libre. Vous pouvez le modifier et le redistribuer.
Il n'y a AUCUNE GARANTIE dans la mesure autorisée par la loi.

TRADUCTION
La traduction française de cette page de manuel a été créée par Luc Froidefond <luc.froidefond@free.fr>, Nicolas François <nicolas.francois@centraliens.net>, Bastien Scher <bastien0705@gmail.com>, David Prévot <david@tilapin.org> et Jean-Philippe MENGUAL <jpmengual@debian.org>

Cette traduction est une documentation libre ; veuillez vous reporter à la GNU General Public License version 3 (https://www.gnu.org/licenses/gpl-3.0.html) concernant les conditions de copie et de distribution. Il n'y a aucune RESPONSABILITÉ LÉGALE.

Si vous découvrez un bogue dans la traduction de cette page de manuel, veuillez envoyer un message à debian-l10n-french@lists.debian.org.